Subject: [netatalk-admins] Win95 postscript files block LaserWriter forever

From: Brian Ristuccia <[email-masked]>
Date: Tue, 26 Oct 1999 23:25:28 -0400

When I print a postscript file created by the AdobePS4 PostScript Printer
Driver for Windows 95 with pap, it prints and then blocks the printer
forever. pap never returns. If I kill pap, the LaserWriter stays in state
"status: waiting; source: EtherTalk" until it is powercycled. 

# cat xlss.ps |pap -p "LaserWriter IIg"
status: waiting
status: waiting
status: waiting
Connected to LaserWriter IIg:LaserWriter@*.
%%[ ProductName: LaserWriter IIg ]%%
%%[ Page: 1 ]%%
%%[ Page: 2 ]%%
%%[ Page: 3 ]%%
%%[ Page: 4 ]%%
%%[ Page: 5 ]%%
%%[ Page: 6 ]%%
%%[ LastPage ]%%

And then just sits there...

I had similar trouble with the driver included with Windows 95 -- but it
also caused the printer to pause for 3-10 seconds inbetween pages, and
somehow confused the printer into starting to print pages randomly about 1/4
to 1/2 the way down the physical page, with text running right off the
bottom edge. 

Changing the PostScript output format, data format, and the CTRL-D values
has no effect. The LaserWriter has no trouble with PostScript documents
created by enscript, or Netscape on Linux.

-- 
Brian Ristuccia
[email-masked]
[email-masked]
[email-masked]